<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-9 class="header_left">
          {{header_text}}
      </ion-col>
      <ion-col col-3 class="header_right">
        <ion-icon ios="ios-close" md="md-close" (click)="cancel()"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-row>
    <form #itemForm="ngForm" novalidate style="width: 100%;">
      <ion-list>

        <ion-item>
          <ion-label floating>{{translate.addItemPage[0][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="item_description" [(ngModel)]="item.item_description" #item_description="ngModel" required (input)="searchItem($event)"></ion-input>
        </ion-item>

        <ion-item *ngIf="displayItems">
          <div class="autocomplete">
            <ion-list>
              <ion-item *ngFor="let item of itemsList" (click)="selectedItem(item)">
                {{item.item_description}}<br>
                <small>{{item.hsn_sac_code}}</small>
              </ion-item>
            </ion-list>
          </div>
        </ion-item>

        <ion-item>
          <ion-label floating>{{translate.addItemPage[1][translate.selectedlanguage]}}</ion-label>
          <ion-input type="number" name="item_quantity" [(ngModel)]="item.item_quantity" #item_quantity="ngModel" required (keyup)="changePrice()"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label floating>{{translate.addItemPage[10][translate.selectedlanguage]}}</ion-label>
          <ion-input type="number" name="item_hsn_sac_code" [(ngModel)]="item.item_hsn_sac_code" #item_hsn_sac_code="ngModel" required (input)="searchHsnCodes($event)"></ion-input>
        </ion-item>

        <ion-item *ngIf="displayHsnBar">
          <div class="autocomplete">
            <ion-list>
              <ion-item *ngFor="let hsncode of hsnCodeList" (click)="selectedCode(hsncode)">
                {{hsncode.hsncodes}}
              </ion-item>
            </ion-list>
          </div>
        </ion-item>

        <ion-item>
          <ion-label floating>{{translate.addItemPage[11][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="item_sku_code" [(ngModel)]="item.item_sku_code" #item_sku_code="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addItemPage[2][translate.selectedlanguage]}}</ion-label>
          <ion-input type="number" name="item_selling_price" [(ngModel)]="item.item_selling_price" #item_selling_price="ngModel" (input)="changePrice()" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addItemPage[3][translate.selectedlanguage]}}</ion-label>
          <ion-select name="item_tax_rate" [(ngModel)]="item.item_tax_rate" #item_tax_rate="ngModel" cancelText="Cancel" okText="Select" required>
            <ion-option value="00.00">0%-NIL</ion-option>
            <ion-option value="00.10">00.10%</ion-option>
            <ion-option value="00.25">00.25%</ion-option>
            <ion-option value="03.00">03.00%</ion-option>
            <ion-option value="05.00">05.00%</ion-option>
            <ion-option value="12.00">12.00%</ion-option>
            <ion-option value="18.00">18.00%</ion-option>
            <ion-option value="28.00">28.00%</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addItemPage[8][translate.selectedlanguage]}}(%)</ion-label>
          <ion-input type="number" name="item_cess_rate" [(ngModel)]="item.item_cess_rate" #item_cess_rate="ngModel" (input)="changePrice()"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addItemPage[9][translate.selectedlanguage]}}</ion-label>
          <ion-input type="number" name="item_cess_amount" [(ngModel)]="item.item_cess_amount" #item_cess_amount="ngModel" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addItemPage[4][translate.selectedlanguage]}}</ion-label>
          <ion-select name="item_unit" [(ngModel)]="item.item_unit" #item_unit="ngModel" cancelText="Cancel" okText="Select" required>
            <ion-option value="BAG">BAGS</ion-option>
            <ion-option value="BAL">BALE</ion-option>
            <ion-option value="BDL">BUNDLES</ion-option>
            <ion-option value="BKL">BUCKLES</ion-option>
            <ion-option value="BOU">BILLION OF UNITS</ion-option>
            <ion-option value="BOX">BOX</ion-option>
            <ion-option value="BTL">BOTTLES</ion-option>
            <ion-option value="BUN">BUNCHES</ion-option>
            <ion-option value="CAN">CANS</ion-option>
            <ion-option value="CBM">CUBIC METERS</ion-option>
            <ion-option value="CCM">CUBIC CENTIMETERS</ion-option>
            <ion-option value="CMS">CENTI METERS</ion-option>
            <ion-option value="CTN">CARTONS</ion-option>
            <ion-option value="DOZ">DOZENS</ion-option>
            <ion-option value="DRM">DRUMS</ion-option>
            <ion-option value="GGK">GREAT GROSS</ion-option>
            <ion-option value="GMS">GRAMMES</ion-option>
            <ion-option value="GRS">GROSS</ion-option>
            <ion-option value="GYD">GROSS YARDS</ion-option>
            <ion-option value="KGS">KILOGRAMS</ion-option>
            <ion-option value="KLR">KILOLITRE</ion-option>
            <ion-option value="KME">KILOMETRE</ion-option>
            <ion-option value="MLT">MILILITRE</ion-option>
            <ion-option value="MTS">METRIC TON</ion-option>
            <ion-option value="NOS">NUMBERS</ion-option>
            <ion-option value="OTH">OTHERS</ion-option>
            <ion-option value="PAC">PACKS</ion-option>
            <ion-option value="PCS">PIECES</ion-option>
            <ion-option value="PRS">PAIRS</ion-option>
            <ion-option value="QTL">QUINTAL</ion-option>
            <ion-option value="ROL">ROLLS</ion-option>
            <ion-option value="SET">SETS</ion-option>
            <ion-option value="SQF">SQUARE FEET</ion-option>
            <ion-option value="SQM">SQUARE METERS</ion-option>
            <ion-option value="SQY">SQUARE YARDS</ion-option>
            <ion-option value="TBS">TABLETS</ion-option>
            <ion-option value="TGM">TEN GROSS</ion-option>
            <ion-option value="THD">THOUSANDS</ion-option>
            <ion-option value="TON">TONNES</ion-option>
            <ion-option value="TUB">TUBES</ion-option>
            <ion-option value="UGS">US GALLONS</ion-option>
            <ion-option value="UNT">UNITS</ion-option>
            <ion-option value="YDS">YARDS</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addItemPage[5][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="item_note" [(ngModel)]="item.item_note" #item_note="ngModel"></ion-input>
        </ion-item>
        <ion-item>
          <ion-row>
            <ion-col col-3></ion-col>
            <ion-col col-4>
              <button ion-button (click)="cancel()" class="cancel_button">{{translate.addItemPage[6][translate.selectedlanguage]}}</button>
            </ion-col>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <button ion-button type="submit" (click)="save()" [disabled]="itemForm.invalid" class="save_button">{{translate.addItemPage[7][translate.selectedlanguage]}}</button>
            </ion-col>
          </ion-row>
        </ion-item>
      </ion-list>
    </form>
  </ion-row>
</ion-content>
